One Meta ad and its publish state
GET
/api/public/v1/meta_ads/{id}LiveAnswers from your brand's records now.
Operation id getMetaAd
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/meta_ads/1024" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| id | path | integer | required |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.campaign_affiliate_id | integer, nullable | |
| data.created_at | string (date-time) | |
| data.error_message | string, nullable | |
| data.external | boolean | |
| data.failed | boolean | |
| data.id | integer | |
| data.last_step | string, nullable | |
| data.meta_ad_id | string, nullable | |
| data.meta_ad_set_id | integer, nullable | |
| data.meta_ad_set_name | string, nullable | |
| data.name | string | |
| data.published | boolean | |
| data.state | string | One of queuedpublishingpublishedactivefailed |
| data.status | string | |
| success | boolean |
Example
{
"data": {
"campaign_affiliate_id": 1024,
"created_at": "2026-11-01T15:04:05Z",
"error_message": "string",
"external": true,
"failed": true,
"id": 1024,
"last_step": "string",
"meta_ad_id": "string",
"meta_ad_set_id": 1024,
"meta_ad_set_name": "Example name",
"name": "Example name",
"published": true,
"state": "queued",
"status": "string"
},
"success": true
}Errors: 401404429with an error and usually a message. See errors.
Example values are made up from each field's type and name.